/* Sequencer */
#SequencerPanel
{
    left: 3.25%;
    top: 77.65%;

    width: 76.35%;
    /* height: 17%; */
}

#SequencerPanel #SequencerControl #ButtonPlay
{
    left: 1.7%;
    top: 16%;

    width: 3.5%;
}

#SequencerPanel #SequencerControl #ButtonStop
{
    left: 6.1%;
    top: 16%;

    width: 3.5%;
}

#SequencerPanel #SequencerControl #ButtonAddSequence
{
    left: 15.9%;
    top: 24%;

    width: 3.15%;
}

#SequencerPanel #SequencerControl #ButtonRemoveSequence
{
    left: 19.3%;
    top: 24%;

    width: 3.2%;
}

#SequencerPanel #SequencerControl #GroupBin
{
    left: 36.6%;
    top: 22%;

    width: 12.9%;
}

#SequencerPanel #SequencerControl #SequencerVolumeSlider
{
    left: 73.7%;
    /* top: 77.85%; */

    width: 12.0%;
    /* height: 17%; */
}

#SequencerPanel #SequencerControl #SequencerPanelResetMixButton
{
    left: 50.5%;
    top: 22%;

    width: 11.6%;
}

#SequencerPanel #SequencerControl #ButtonBounce
{
    left: 88.8%;

    width: 9.5%;
}

/* ChargeView */
#ChargePanel.extended
{
    left: 80.0%;
    top: 54.4%;

    width: 19.6%;
    height: 23.2%;

    padding: 2%;
    padding-top: 2.5%;
}

#ChargePanel.extended #ChargePanelHelpIndicator
{
    display: none;
}

#RecyclorButtonShowHide.extended
{
    left: 85.4%;
    top: 29.6%;

    width: 8.5%;
    height: 15%;
}

#Recyclor.extended .bin
{
    top: 50.0%;

    width: 12.1%;
    height: 23.5%;
}

#Recyclor.extended #RecyclorBin1
{
    left: 18.9%;
}

#Recyclor.extended #RecyclorBin2
{
    left: 34.2%;
}

#Recyclor.extended #RecyclorBin3
{
    left: 49.5%;
}

/* SampleListView */
#SampleListView.extended
{
    left: 25.3%;
    top: 79.0%;

    width: 54.0%;
    height: 17.3%;
}

/* PresetPanelView */
#PresetPanelView.extended
{
    left: 7.5%;
    top: 79.0%;

    width: 17.8%;
    height: 17.3%;
}

/* Video play */
#VideoView.fullscreen
{
    left: 0.5%;
    top: 2.5%;

    width: 78.8%;
    height: 76.5%;
}

#VideoView.fullscreen #VideoViewAudioButton
{
    width: 4%;
    height: 7%;
}

#VideoView.fullscreen #VideoViewFullScreen
{
    position: absolute;

    top: unset;
    left: unset;
    right: 6%;
    bottom: 1%;
    z-index: 1;

    box-sizing: border-box;

    width: 4%;
    height: 7%;

    text-align: center;

    background-color: #ffffff22;
    border: 2px solid #ffffff44;
    border-radius: 10px;
}

#VideoView.fullscreen #VideoViewFullScreen:hover
{
    background-color: #ffffff44;
    border: 2px solid #ffffff55;
}

#VideoView.fullscreen #VideoViewFullScreen>img
{
    display: unset;

    max-width: 100%;
    max-height: 100%;
}

/* Exploration */
#ExplorationContainer.extended
{
    left: 0.5%;
    top: 2.5%;

    width: 78.8%;
    height: 76.5%;
}

/* SequencerPanel - Super special dumb shit of doom */
#SequencerPanel.hidden
{
    display: unset;

    top: 79%;
    left: 0.5%;

    width: 7.5%;
    height: 17.3%;
}

#SequencerPanel.hidden #SequencerControl *
{
    display: none;
}

#SequencerPanel.hidden #SequencerWrap
{
    display: none;
}

#SequencerPanel.hidden #SequencerControl #ButtonPlay, #SequencerPanel.hidden #SequencerControl #ButtonStop
{
    display: unset;

    top: 172%;

    width: 35%;
}

#SequencerPanel.hidden #SequencerControl #ButtonPlay
{
    left: 8.0%;
}

#SequencerPanel.hidden #SequencerControl #ButtonStop
{
    left: 53.0%;
}

/* PersistanceView - Super special dumb shit of doom */
#PersistenceView.hidden
{
    display: unset;
}

#PersistenceView.hidden #PersistenceViewSaveButton, #PersistenceView.hidden #PersistenceViewLoadButton
{
    display: none;
}

#PersistenceView.hidden #PersistenceViewDefaultMixButton
{
    left: -605%;
    top: 20%;

    width: 45%;
}

#PersistenceView.hidden #PersistenceViewDefaultMixButton:hover
{
    background-color: unset;

    filter: brightness(1.5);
}

#PersistenceView.hidden #PersistenceViewDefaultMixButton:active
{
    filter: brightness(0.5);
}

#PersistenceView.hidden #PersistenceViewDefaultMixButton>img
{
    display: unset;

    width: 100%;
}
